#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           libkdegames
Summary:        KDE - Games
Epoch:          1
Version: 23.04.1
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://games.kde.org/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sndfile)

BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5DNSSD)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5JobWidgets)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5GlobalAccel)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5Bookmarks)
BuildRequires:  cmake(KF5NewStuff)

%description
This packages provides common code and data for many KDE games.

#-------------------------------------------------------------------------------

%package common
Summary:        Common files needed by KDE games
Group:          Graphical desktop/KDE
BuildArch:      noarch
Provides:       kf5kdegames-common = %{epoch}:%{version}-%{release}

%description common
This package provides common files needed by KDE games such as carddecks for KDE
cardgames.

%files common -f %{name}5.lang
%_kf5_categoriesdir/libkdegames.categories
%_kf5_datadir/carddecks/
%_kf5_datadir/kconf_update/kgthemeprovider-migration.upd

#------------------------------------------------------------------------------

%package corebindings
Summary:        Qml plugin for kdegames
Group:          Graphical desktop/KDE
Provides:       kf5kdegames-corebindings = %{epoch}:%{version}-%{release}

%description corebindings
Qml plugins for kdegames.

%files corebindings
%_kf5_qmldir/org/kde/games

#-------------------------------------------------------------------------------

%define libkdegames_major 7
%define libkdegames %mklibname kf5kdegames %libkdegames_major

%package -n %libkdegames
Summary:        Runtime Library for kdegames
Group:          System/Libraries
Requires:       kf5kdegames-common >= %{epoch}:%{version}-%{release}
Requires:       kf5kdegames-corebindings >= %{epoch}:%{version}-%{release}

%description -n %libkdegames
Runtime Library for kdegames.

%files -n %libkdegames
%_kf5_libdir/libKF5KDEGames.so.%{libkdegames_major}{,.*}

#-------------------------------------------------------------------------------

%define libkdegamesprivate_major 7
%define libkdegamesprivate %mklibname kf5kdegamesprivate %libkdegamesprivate_major

%package -n %libkdegamesprivate
Summary:        Runtime Library for kdegames
Group:          System/Libraries

%description -n %libkdegamesprivate
Runtime Library for kdegames.

%files -n %libkdegamesprivate
%_kf5_libdir/libKF5KDEGamesPrivate.so.%{libkdegamesprivate_major}{,.*}

#-------------------------------------------------------------------------------

%define libkdegames_devel %mklibname kf5kdegames -d

%package -n %libkdegames_devel
Summary:        Headers files for libkdegames
Group:          Development/KDE and Qt
Provides:       kdegames-devel = %epoch:%version
Provides:       libkdegames-devel = %epoch:%version
Requires:       %libkdegames = %epoch:%version
Requires:       %libkdegamesprivate = %epoch:%version

Requires:       pkgconfig(Qt5Widgets)
Requires:       pkgconfig(Qt5Xml)
Requires:       pkgconfig(Qt5Network)
Requires:       pkgconfig(Qt5QuickWidgets)
Requires:       pkgconfig(Qt5Qml)
Requires:       cmake(KF5Config)
Requires:       cmake(KF5I18n)
Requires:       cmake(KF5WidgetsAddons)
Requires:       cmake(KF5ConfigWidgets)
Requires:       cmake(KF5Completion)
Requires:       cmake(KF5KDELibs4Support)

Obsoletes:      %{_lib}kdegames-devel < 1:19.04.3-2

%description -n %libkdegames_devel
Headers files needed to build applications based on kdegames applications.

%files -n %libkdegames_devel
%_kf5_libdir/cmake/KF5KDEGames/
%_kf5_libdir/*.so
%_kf5_includedir/KDEGames/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{name}5
